org.gjt.sp.jedit.visitors

## Interface JEditVisitor

All Known Implementing Classes:
  JEditVisitorAdapter, SaveCaretInfoVisitor

    public interface JEditVisitor

A Visitor can visit a View, an EditPane or a JEditTextArea. You can also extend the default implementation, JEditVisitorAdapter To use this visitor.

Since:
  jEdit 4.3pre13
See Also:
  `jEdit.visit(JEditVisitor)`, `View.visit(JEditVisitor)`

### Method Summary

Methods
`void` `visit(EditPane editPane)` Visit an EditPane.
`void` `visit(JEditTextArea textArea)` Visit a view.
`void` `visit(View view)` Visit a view.

### Method Detail

#### visit

    void visit(View view)

Visit a view.

Parameters:
  `view` - the visited view

#### visit

    void visit(EditPane editPane)

Visit an EditPane.

Parameters:
  `editPane` - the visited edit pane

#### visit

    void visit(JEditTextArea textArea)

Visit a view.

Parameters:
  `textArea` - the visited textArea